Page MenuHomePhabricator

Upgrade ncredir cluster to buster
Closed, ResolvedPublic

Description

ncredir instances are currently running stretch, the main blocker for this task is the lack of support for multiple stapling files on nginx. This has been solved on stretch with a custom patch (0600-stapling-multi-file.patch).

@BBlack IIRC we mentioned the possibility of dropping RSA support on ncredir, so this would render 0600-stapling-multi-file.patch unnecessary, and we could upgrade ncredir to buster and go back to the "stock" nginx.

Upgrade status:

  • ncredir1001
  • ncredir1002
  • ncredir1001
  • ncredir2002
  • ncredir3001
  • ncredir3002
  • ncredir4001
  • ncredir4002
  • ncredir5001
  • ncredir5002

Details

Related Gerrit Patches:
operations/puppet : productioninstall_server: Reimage ncredir@eqiad as buster
operations/puppet : productioninstall_server: Reimage ncredir@codfw as buster
operations/puppet : productioninstall_server: Reimage ncredir@esams as buster
operations/puppet : productioninstall_server: Reimage ncredir@eqsin as buster
operations/puppet : productioninstall_server: Reimage ncredir@ulsfo as buster
operations/puppet : productionncredir: Drop RSA support

Event Timeline

Restricted Application added a project: Operations. · View Herald TranscriptWed, Jan 22, 11:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Vgutierrez triaged this task as Medium priority.Wed, Jan 22, 11:55 AM

@BBlack confirmed that we can drop RSA support on ncredir during the All Hands

Change 570629 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] ncredir: Drop RSA support

https://gerrit.wikimedia.org/r/570629

Change 570629 merged by Vgutierrez:
[operations/puppet@production] ncredir: Drop RSA support

https://gerrit.wikimedia.org/r/570629

Change 570665 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage ncredir@ulsfo as buster

https://gerrit.wikimedia.org/r/570665

Change 570665 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage ncredir@ulsfo as buster

https://gerrit.wikimedia.org/r/570665

Mentioned in SAL (#wikimedia-operations) [2020-02-06T14:56:42Z] <vgutierrez> depool and reimage ncredir4002 as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-06T15:28:22Z] <vgutierrez> pooling ncredir4002 running buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-06T15:30:30Z] <vgutierrez> depool & reimage ncredir4001 as buster - T243391

Vgutierrez updated the task description. (Show Details)Thu, Feb 6, 3:36 PM

Mentioned in SAL (#wikimedia-operations) [2020-02-06T15:56:30Z] <vgutierrez> pooling ncredir4001 running buster - T243391

Change 570678 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage ncredir@eqsin as buster

https://gerrit.wikimedia.org/r/570678

Change 570678 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage ncredir@eqsin as buster

https://gerrit.wikimedia.org/r/570678

Mentioned in SAL (#wikimedia-operations) [2020-02-06T16:07:40Z] <vgutierrez> depool and reimage ncredir5002 as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-06T16:49:12Z] <vgutierrez> pooling ncredir5002 running buster - T243391

Vgutierrez updated the task description. (Show Details)Thu, Feb 6, 4:49 PM

Mentioned in SAL (#wikimedia-operations) [2020-02-07T10:23:46Z] <vgutierrez> depool and reimage ncredir5001 as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-07T11:25:22Z] <vgutierrez> pooling ncredir5001 running buster - T243391

Vgutierrez updated the task description. (Show Details)Fri, Feb 7, 11:26 AM

Change 570883 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage ncredir@esams as buster

https://gerrit.wikimedia.org/r/570883

Change 570883 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage ncredir@esams as buster

https://gerrit.wikimedia.org/r/570883

Mentioned in SAL (#wikimedia-operations) [2020-02-07T12:51:50Z] <vgutierrez> depool and reimage ncredir3002 as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-07T14:23:10Z] <vgutierrez> pooling ncredir3002 running buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-07T14:33:56Z] <vgutierrez> depool and reimage ncredir3001 as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-07T15:20:50Z] <vgutierrez> pooling ncredir3001 running buster - T243391

Vgutierrez updated the task description. (Show Details)Fri, Feb 7, 3:29 PM
Vgutierrez moved this task from Triage to TLS on the Traffic board.

Change 571117 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage ncredir@codfw as buster

https://gerrit.wikimedia.org/r/571117

Change 571117 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage ncredir@codfw as buster

https://gerrit.wikimedia.org/r/571117

Mentioned in SAL (#wikimedia-operations) [2020-02-10T06:55:19Z] <vgutierrez> depool ncredir2002 and reimage as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T08:43:50Z] <vgutierrez> pooling ncredir2002 with buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T10:31:00Z] <vgutierrez> depool ncredir2001 and reimage as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T11:07:25Z] <vgutierrez> pooling ncredir2001 with buster - T243391

Vgutierrez updated the task description. (Show Details)Mon, Feb 10, 11:09 AM

Change 571263 had a related patch set uploaded (by Vgutierrez; owner: Vgutierrez):
[operations/puppet@production] install_server: Reimage ncredir@eqiad as buster

https://gerrit.wikimedia.org/r/571263

Change 571263 merged by Vgutierrez:
[operations/puppet@production] install_server: Reimage ncredir@eqiad as buster

https://gerrit.wikimedia.org/r/571263

Mentioned in SAL (#wikimedia-operations) [2020-02-10T11:38:49Z] <vgutierrez> depool ncredir1002 and reimage as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T11:57:26Z] <vgutierrez> pooling ncredir1002 with buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T11:57:47Z] <vgutierrez> depool ncredir1001 and reimage as buster - T243391

Mentioned in SAL (#wikimedia-operations) [2020-02-10T12:23:07Z] <vgutierrez> pooling ncredir1001 with buster - T243391

Vgutierrez closed this task as Resolved.Mon, Feb 10, 12:24 PM
Vgutierrez claimed this task.
Vgutierrez updated the task description. (Show Details)